TSSSLCLIENTCERTUPDATE(3ts)

NAME
TSSslClientCertUpdate - traffic Server TLS client cert update

SYNOPSIS

            #include <ts/ts.h>

    TSReturnCode TSSslClientCertUpdate(const char *cert_path, const char *key_path)

DESCRIPTION

TSSslClientCertUpdate() updates existing client certificates configured in sni.yaml or proxy.config.ssl.client.cert.filename. cert_path should be exact match as provided in configurations. TSSslClientCertUpdate() returns TS_SUCCESS only if cert_path exists in configuration and reloaded to update the context.

COPYRIGHT
2025, dev@trafficserver.apache.org